/*
 * AdminPage.java
 *
 * Created on September 24, 2004, 11:57 AM
 */
import javax.swing.*;
/**
 *
 * @author  gautham_anil
 */
public class AdminPage extends JPanel implements java.awt.event.ActionListener {
    
    DBInterface db = new DBInterface();
    String[] sa;
    
    /** Creates a new instance of AdminPage */
    public AdminPage() {
        super(new java.awt.BorderLayout());
        initComponents();
    }
    
    JTextArea subjectEditor; /* subjectEditor */
    JButton s; /* submit */
    JPanel b; /* bottom */
    JLabel bn; /* banner */
    JDialog d;
    
    private void initComponents() {
        subjectEditor = new JTextArea("");
        s = new JButton("Update columns");
        b = new JPanel(new java.awt.FlowLayout());
        bn = new JLabel("Subject-list editing form");
        d = new JDialog((JFrame)null,"Admin page",true);
        
        sa = db.getSubjectArray();
        StringBuffer subjects = new StringBuffer("");
        for(int i=0; i< sa.length; i++ ) {
            subjects.append(sa[i]);
            if(i != sa.length - 1) subjects.append("\n");
        }
        subjectEditor.setText(subjects.toString());
        
        s.addActionListener(this);
        s.setMnemonic('u');
        
        b.add(s);
        
        add(b, java.awt.BorderLayout.SOUTH);
        add(new JScrollPane(subjectEditor), java.awt.BorderLayout.CENTER);
        add(bn, java.awt.BorderLayout.NORTH);
        
        d.setContentPane(this);
        d.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        d.setBounds((screenSize.width-200)/2, (screenSize.height-270)/2, 200, 270);
    }
    
    public void actionPerformed(java.awt.event.ActionEvent e) {
        int i;
        sa = db.getSubjectArray();
        String sl = subjectEditor.getText();
        String[] nsa = sl.split("\n");
        for(i = 0; i< nsa.length; i++) {
            nsa[i] = nsa[i].trim();
            System.out.println("nsa = " + nsa[i]);
            if(sa.length > i) {
                System.out.println("sa = " + sa[i] + "'");
                if(!sa[i].equals(nsa[i])) {
                    db.executeUpdate("update subjectinfo set subjectname = '" + nsa[i] + "' where subjectid = " + i);
                }
                continue;
            }
            db.executeUpdate("insert into subjectinfo values (" + i + ", '" + nsa[i] + "')");
        }
        while(i < sa.length) {
            db.executeUpdate("delete from subjectinfo where subjectid = " + i);
            i++;
        }
        subjectEditor.requestFocus();
        //d.setVisible(false);
        //d.dispose();
    }
    
    void showDialog() {
        d.setVisible(true);
    }
}


