import javax.swing.JOptionPane;
import java.io.File;
import java.io.FileReader;
import java.io.BufferedReader;


/*
 * SurveyMain.java
 *
 * Created on September 23, 2004, 12:12 PM
 */

/**
 *
 * @author  gautham_anil
 */
public class SurveyMain {
    
    /** Creates a new instance of SurveyMain */
    public SurveyMain() {
    }
    
    void run() {
        LoginDialogBox lDB = new LoginDialogBox();
        while(true) {
            boolean loggedIn = false;
            String login = null;
            while(!loggedIn) {
                login = lDB.showAndGetLogin();
                if(login == null) System.exit(0);
                //if(login.equals("")) login = new SignupDialog().signup();
                if(login != null && !login.equals("")) loggedIn = true;
            }
            if(login.equals("admin")) {
                new AdminPage().showDialog();
                continue;
            }
            SurveyMainForm sMF = new SurveyMainForm(this);
            sMF.showGUI(login);
            /*try {
                this.wait();
            } catch(java.lang.InterruptedException e) {
                System.out.println("Interrupted. Exiting...");
                System.exit(0);
            }*/
            sMF.dispose();
        }
    }
    
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        new SurveyMain().run();
        //System.out.println(java.awt.Color.decode("0Xcfcfcf"));
        System.exit(0);
    }
    
}

