import javax.swing.*;
import javax.swing.border.*;
import java.awt.geom.*;
import java.awt.*;
import java.awt.event.*;
import java.sql.*;
class GraphicPanel extends JPanel implements ActionListener {
    JPanel pan,pan1,pan2,pan3,sp;
    JRadioButton[] field1;
    JRadioButton[] field2;
    JCheckBox[] check;
    JRadioButton bChart;
    JRadioButton pChart;
    JRadioButton sChart;
    JComboBox range;
    static String[] grades={"1","2","3","4","5","6","7","8","9","10","11"}; 
    ButtonGroup charts,f1,f2;
    DBInterface db;
    static JFrame j,jF;
    Border blackline, raisedetched, loweredetched,
       raisedbevel, loweredbevel;

    GraphicPanel(JFrame jf){
	range=new JComboBox(grades);
	range.setActionCommand("combo");
	range.addActionListener(this);
	
	jF=jf;
	this.setLayout(new java.awt.BorderLayout());
	blackline = BorderFactory.createLineBorder(Color.black);
	raisedetched = BorderFactory.createEtchedBorder(EtchedBorder.RAISED);
	loweredetched = BorderFactory.createEtchedBorder(EtchedBorder.LOWERED);
	raisedbevel = BorderFactory.createRaisedBevelBorder();
	loweredbevel = BorderFactory.createLoweredBevelBorder();
	this.setSize(new Dimension(500,500));
	Dimension d=this.getSize();
	System.out.println(""+d.getWidth());
	db=new DBInterface();
	pan=new JPanel();
	pan.setBorder(blackline);
	this.setBorder(blackline);
	pan1=new JPanel();
	pan2=new JPanel();
	pan3=new JPanel();
	sp=new JPanel();
	pan3.setSize(new Dimension(300,300));
	//pan1.setLayout(new java.awt.GridLayout());
	pan1.setBorder(blackline);
	pan2.setBorder(blackline);
	pan3.setBorder(blackline);
        bChart=new JRadioButton();
        pChart=new JRadioButton();pan1.setLayout(new java.awt.GridLayout());
        sChart=new JRadioButton();
        charts=new ButtonGroup();
	f1=new ButtonGroup();
	f2=new ButtonGroup();
	bChart.setActionCommand("bar");
	pChart.setActionCommand("pie");
	sChart.setActionCommand("scat");
	bChart.addActionListener(this);
	pChart.addActionListener(this);
	sChart.addActionListener(this);
	bChart.setText("Bar Chart");
	pChart.setText("Pie Chart");
	sChart.setText("Scatter Chart");
	charts.add(bChart);
        charts.add(pChart);
        charts.add(sChart);
        pan.add(bChart);
        pan.add(pChart);
        pan.add(sChart);
	this.add(pan, java.awt.BorderLayout.NORTH);
    }

    public static void main(String[] args) {
        JFrame.setDefaultLookAndFeelDecorated(true);
        j = new JFrame("Test01");
        j.setSize(500, 500);
        
        j.getContentPane().add(new GraphicPanel(j));
        j.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
        //j.pack();
        j.setVisible(true);
    }

    public void actionPerformed(ActionEvent e) {
try{
	ResultSet rs=db.executeQuery("select subjectname from subjectinfo");
	rs.last();
	int i=0,jc=0;
	int nCh=0;
	int c=rs.getRow();
	rs.beforeFirst();
	//System.out.println(c+"Hello "+e.getActionCommand());
	this.removeAll();
	this.add(pan, java.awt.BorderLayout.NORTH);
	if("bar".equals(e.getActionCommand())){
	    //System.out.println("Hello1 "+e.getActionCommand());
	    check=new JCheckBox[c];
	    //System.out.println("Hello1 "+e.getActionCommand());
	    i=0;
	    pan1.removeAll();
	    pan1.setLayout(new java.awt.GridLayout(c+2,1));
	    
	    JLabel lab=new JLabel("Select No of Bars");
	    //range.setText("Arcs");
	    pan1.add(lab);
	    pan1.add(range);
	    while(rs.next()){
		//System.out.println("Hello132 "+e.getActionCommand()+rs.getString(1));
		check[i]=new JCheckBox();
		check[i].setText(rs.getString(1));
		//System.out.println("Hello132334 "+e.getActionCommand()+rs.getString(1));
		pan1.add(check[i]);
		check[i].setActionCommand("check");
	        check[i++].addActionListener(this);
	    }
	    //check.setActionCommand("check");
	    //check.addActionListener(this);
	    pan3=new BarGraph();
	    
	}
	else if("pie".equals(e.getActionCommand())){
	    field1=new JRadioButton[c];
	    i=0;
	    pan1.removeAll();
	    pan1.setLayout(new java.awt.GridLayout(c+2,1));
	    //range=new JComboBox(grades);
	    JLabel lab=new JLabel("Select No of Arcs");
	    //range.setText("Arcs");
	    pan1.add(lab);
	    pan1.add(range);
	    while(rs.next()){
		field1[i]=new JRadioButton();
		field1[i].setText(rs.getString(1));
		f1.add(field1[i]);
		pan1.add(field1[i],java.awt.BorderLayout.WEST);
		field1[i].setActionCommand("rpie");
	        field1[i++].addActionListener(this);
	    }
	    pan3=new PieChart();
	}
	else if("scat".equals(e.getActionCommand())){
	    field1=new JRadioButton[c];
	    field2=new JRadioButton[c];
	    i=0;
	    pan1.removeAll();
	    pan1.setLayout(new java.awt.BorderLayout());
	    //BoxLayout b=new BoxLayout(pan1.getContentPane(),BoxLayout.Y_AXIS);
	    sp.removeAll();
	    sp.setLayout(new java.awt.GridLayout(c,1));
	    pan2.removeAll();
	    pan2.setLayout(new java.awt.GridLayout(c,1));
	    while(rs.next()){
		field1[i]=new JRadioButton();
		field1[i].setText(rs.getString(1));
		f1.add(field1[i]);
		pan2.add(field1[i]);
		field2[i]=new JRadioButton();
		field2[i].setText(rs.getString(1));
		f2.add(field2[i]);
		sp.add(field2[i]);
		field1[i].setActionCommand("rscat");
	        field1[i].addActionListener(this);
		field2[i].setActionCommand("rscat");
	        field2[i++].addActionListener(this);
	    }
	    pan1.add(pan2, java.awt.BorderLayout.EAST);
	    pan1.add(sp, java.awt.BorderLayout.WEST);
	    pan3=new ScatChart();
	}
	else if("check".equals(e.getActionCommand())){
	    int noOfFields=0;
	    int noOfBars=4;	
	    for(i=0;i<check.length;i++)
	    if(check[i].isSelected())	
	    noOfFields++;
	    int[][] data=new int[noOfFields][11];
	    String[] fields=new String[noOfFields];
	    int j=0;
	    if(range.getSelectedIndex()>=0)noOfBars=range.getSelectedIndex()+1;
	    for(i=0;i<check.length;i++)	
	    if(check[i].isSelected())
	    {   //int k=i+1; 
		rs=db.executeQuery("select subjectid from subjectinfo where subjectname='"+check[i].getText()+"'");
		int sId=1;
		if(rs.next()){
		    sId=rs.getInt(1);
		    //fields[j]=new String(rs.getString(1));
		    System.out.println("*********************************************"+sId);
		}
		fields[j]=check[i].getText();
		rs=db.executeQuery("select count(*) as c,marks from marks where subjectid="+sId+"  group by marks");
		while(rs.next())
		    data[j][rs.getInt("marks")]=rs.getInt(1);
		
		j++;
	    }
	    nCh=j;
	    if(j!=0)pan3=new BarGraph(data,noOfBars,noOfFields,fields);
	    //else JOptionPane.showMessageDialog(new JFrame(),"You have not selected any field","",JOptionPane.WARNING_MESSAGE);
	    pan3.repaint();
	}
	else if("rpie".equals(e.getActionCommand())){
	    int noOfBars=4;	
	    int[] data=new int[11];
	    String fields;
	    if(range.getSelectedIndex()>=0)noOfBars=range.getSelectedIndex()+1;
	    for(i=0;i<field1.length;i++)
		if(field1[i].isSelected()){
		    rs=db.executeQuery("select subjectid from subjectinfo where subjectname='"+field1[i].getText()+"'");
    		    int sId=1;
		    if(rs.next()){
			sId=rs.getInt(1);
		    //fields[j]=new String(rs.getString(1));
			System.out.println("*********************************************"+sId);
		    }
		    fields=field1[i].getText();
		    rs=db.executeQuery("select count(*) as c,marks from marks where subjectid="+sId+"  group by marks");
		    while(rs.next())
		        data[rs.getInt("marks")]=rs.getInt(1);
		    pan3=new PieChart(data,noOfBars,fields);
	    	    pan3.repaint();    
		}	
	}
	else if("rscat".equals(e.getActionCommand())){
	    String fields1=new String("");
	    String fields2=new String("");
	    int[] data1,data2;
	    rs=db.executeQuery("select * from logininfo");
	    rs.last();
	    c=rs.getRow();
	    data1=new int[c];
	    data2=new int[c];
//	    int i,jc;
	    for(i=0;i<field1.length;i++)
		if(field1[i].isSelected()){
		    rs=db.executeQuery("select subjectid from subjectinfo where subjectname='"+field1[i].getText()+"'");
    		    int sId1=1;
		    if(rs.next()){
			sId1=rs.getInt(1);
		    //fields[j]=new String(rs.getString(1));
			System.out.println("*********************************************"+sId1);
		    }
		    fields1=field1[i].getText();
		    rs=db.executeQuery("select loginid,marks from marks where subjectid="+sId1+" order by loginid"); 
		    int t=0;
		    while(rs.next()){
			data1[t++]=rs.getInt(2);
			//System.out.print
		    }
		    break;
		}
	    for(jc=0;jc<field1.length;jc++)
		if(field2[jc].isSelected()){
		    rs=db.executeQuery("select subjectid from subjectinfo where subjectname='"+field2[jc].getText()+"'");
    		    int sId2=1;
		    if(rs.next()){
			sId2=rs.getInt(1);
		    //fields[j]=new String(rs.getString(1));
			System.out.println("*********************************************"+sId2);
		    }
		    fields2=field2[jc].getText();
		    rs=db.executeQuery("select loginid,marks from marks where subjectid="+sId2+" order by loginid");
		    int t=0;
		    while(rs.next()){
			data2[t++]=rs.getInt(2);
		    }
		    break;
		}
	    if(i<field1.length&&jc<field1.length){
		pan3=new ScatChart(data1,data2,fields1,fields2);}
	}
	/*else if("combo".equals(e.getActionCommand())){
		BarGraph b=(BarGraph)pan3;
		//b.paintComponent();
		b.repaint();
		j.repaint();
		j.setVisible(true);
	}*/
	this.add(pan1, java.awt.BorderLayout.WEST);
	this.add(pan3, java.awt.BorderLayout.CENTER);
	jF.repaint();
	jF.setVisible(true);
	if(i==jc&&"rscat".equals(e.getActionCommand()))JOptionPane.showMessageDialog(j,"You have selected both same fields","",JOptionPane.WARNING_MESSAGE);
	if(nCh==0&&"check".equals(e.getActionCommand()))JOptionPane.showMessageDialog(j,"You have not selected any field","",JOptionPane.WARNING_MESSAGE);
	jF.repaint();
	jF.setVisible(true);	
}catch(Exception ex){
    System.out.println("e");
    ex.printStackTrace();
}
    }
}
