/*
 * QueryPanel.java
 *
 * Created on September 22, 2004, 7:26 PM
 */

/**
 *
 * @author  gautham_anil
 */
public class QueryPanel extends javax.swing.JPanel implements java.awt.event.ActionListener {
    
    javax.swing.JTable qT; /* queryTable */
    FilterData filterData;
    javax.swing.JPanel fSCP; // filterSizeControlPanel
    //javax.swing.JButton aF /* addFilter */;
    //javax.swing.JButton rF /* removeFilter */;
    javax.swing.JScrollPane qTSP /* queryTableScrollPane */;
    javax.swing.JComboBox sE; /* subjectEditor */
    javax.swing.JComboBox rE; /* rangeEditor */
    DBInterface db;
    
    /** Creates a new instance of QueryPanel */
    public QueryPanel() {
        db = new DBInterface();
        filterData = new FilterData();
        filterData.incFilter();
        initComponents();
        
    }
    
    private void initComponents() {
        qT = new javax.swing.JTable(filterData);
        fSCP = new javax.swing.JPanel();
        //aF = new javax.swing.JButton("Add Filter");
        //rF = new javax.swing.JButton("Remove Filter");
        qTSP = new javax.swing.JScrollPane(qT);
        
        sE = new javax.swing.JComboBox();
        /*sE.addItem("");
        sE.addItem("Snowboarding");
        sE.addItem("Rowing");
        sE.addItem("Cricket");
        sE.addItem("Football");
        sE.addItem("Sniping");*/
        String[] subjects = db.getSubjectArray();
        for(int i=0; i<subjects.length; i++) {
            sE.addItem(subjects[i]);
        }
        
        
        rE = new javax.swing.JComboBox();
        rE.addItem(new Integer(0));
        rE.addItem(new Integer(1));
        rE.addItem(new Integer(2));
        rE.addItem(new Integer(3));
        rE.addItem(new Integer(4));
        rE.addItem(new Integer(5));
        rE.addItem(new Integer(6));
        rE.addItem(new Integer(7));
        rE.addItem(new Integer(8));
        rE.addItem(new Integer(9));
        rE.addItem(new Integer(10));
        
        //qT.getColumnModel().getColumn(0).
        qT.getColumnModel().getColumn(0).setCellEditor(new javax.swing.DefaultCellEditor(new javax.swing.JCheckBox()));
        //qT.getColumnModel().getColumn(0).setCellRenderer(new javax.swing.DefaultCell(new javax.swing.JCheckBox()));
        qT.getColumnModel().getColumn(2).setCellEditor(new javax.swing.DefaultCellEditor(rE));
        qT.getColumnModel().getColumn(3).setCellEditor(new javax.swing.DefaultCellEditor(rE));
        
        //aF.addActionListener(this);
        //rF.addActionListener(this);
        
        fSCP.setLayout(new java.awt.FlowLayout());
        //fSCP.add(aF);
        //fSCP.add(rF);
        
        this.setLayout(new java.awt.BorderLayout());
        this.add(qTSP, java.awt.BorderLayout.CENTER);
        this.add(fSCP, java.awt.BorderLayout.SOUTH);
    }
    
    public static void main(String[] args) {
        javax.swing.JFrame j = new javax.swing.JFrame("QueryPanel Test");
        j.setSize(300, 300);
        j.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        j.getContentPane().add(new QueryPanel(), java.awt.BorderLayout.CENTER);
        j.setVisible(true);
        //System.out.println("Exiting...");
    }
    
    public void actionPerformed(java.awt.event.ActionEvent e) {
        String command = e.getActionCommand();
        if(command.equals("Add Filter")) {
            filterData.incFilter();
            System.out.println(getQuery());
        }
        if(command.equals("Remove Filter")) {
            filterData.decFilter();
        }
    }
    
    public String getQuery() {
        return filterData.getQuery();
    }
}
