/*
 * ResultPanel.java
 *
 * Created on September 23, 2004, 11:38 PM
 */
import java.sql.*;
import javax.swing.*;
/**
 *
 * @author  gautham_anil
 */
public class ResultPanel extends JPanel implements //javax.swing.table.TableCellRenderer
/*, java.awt.event.ActionListener*/  javax.swing.event.ListSelectionListener {
    
    DBInterface db;
    boolean clickable;
    //JButton sB;
    //JPanel sP;
    /** Creates a new instance of ResultPanel */
    public ResultPanel() {
        db = new DBInterface();
        initComponents();
    }
    
    private JTable rT;
    private JScrollPane rTSP;
    
    void initComponents() {
        rT = new JTable();
        rTSP = new JScrollPane(rT);
        
        rT.setCellSelectionEnabled(true);
        rT.getSelectionModel().addListSelectionListener(this);
        rT.setTableHeader(null);
        //rTSP.setColumnHeaderView(null);
        //rT.setColumnSelectionAllowed(true);
        //sB = new JButton(">");
        //sB.addActionListener(this);
        //sP = new JPanel(new java.awt.BorderLayout());
        //sP.add(sB, java.awt.BorderLayout.WEST);
        
        setLayout(new java.awt.BorderLayout());
        this.add(rTSP, java.awt.BorderLayout.CENTER);
        this.add(new JLabel("Query result : "), java.awt.BorderLayout.NORTH);
    }
    
    public void processQuery(String query) {
        rT.setModel(new ResultTableData(db.executeQuery(query)));
        clickable = true;
        //        int columns = rT.getColumnModel().getColumnCount();
        //        for(int i=1; i< columns; i++) {
        //            rT.getColumnModel().getColumn(i).setCellRenderer(this);
        //        }
        
    }
    
    //  public java.awt.Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) {
    //        javax.swing.table.TableModel tM = table.getModel();
    //        if(!isSelected) return new JLabel(tM.getValueAt(row,  column).toString());
    //        else {
    //            //sB.setActionCommand("SELECT DISTINCT loginid FROM marks");
    //            //sP = new JPanel(new java.awt.BorderLayout());
    //            //sP.add(sB, java.awt.BorderLayout.EAST);
    //            //sP.add(new JLabel(tM.getValueAt(row,  column).toString()), java.awt.BorderLayout.CENTER);
    //            return sP;
    //        }
    //    }
    //
    public void valueChanged(javax.swing.event.ListSelectionEvent e) {
        //if(!clickable) return;
        int row = rT.getSelectedRow();
        int col = rT.getSelectedColumn();
        if(col < 0 || row < 0) return;
        //if(rT.getColumnName(col). )
        //String sName = rT.getColumnName(col);
        //String subjects[] = db.getSubjectArray();
        //int i = 0;
        //while(!sName.equals(subjects[i])) i++;
        System.out.println("col = " + col +", row = " + row );
        String cN = rT.getModel().getValueAt(0,col).toString();
        if(col == 0 && row == 0) return;
        if(cN.equals("Login") && row > 0) {
            processQuery(FilterData.getLoginQuery(rT.getModel().getValueAt(row,col).toString()));
            return;
        }
        if(col > 0 && row == 0) {
            processQuery(
            " select m.loginid as Login , m.marks as " + cN + " from subjectinfo as s,marks as m where s.subjectid = m.subjectid "
            + "and s.subjectname = '" + cN + "'");
            return;
        }
        processQuery(
        " select m.loginid as Login , m.marks as " + cN + " from subjectinfo as s,marks as m where s.subjectid = m.subjectid "
        + "and s.subjectname = '" + cN + "' and marks = " + rT.getModel().getValueAt(row,col).toString());
        //clickable = false;
    }
    
}

class ResultTableData extends javax.swing.table.AbstractTableModel {
    
    int columns;
    java.util.List data;
    
    ResultTableData(java.sql.ResultSet rs) {
        try {
            ResultSetMetaData rsmd = rs.getMetaData();
            columns = rsmd.getColumnCount();
            Object[] oa = new Object[columns];
            data = new java.util.LinkedList();
            for(int i=0; i<columns; i++) {
                oa[i] = rsmd.getColumnLabel(i + 1);
            }
            data.add(oa);
            while(rs.next()) {
                oa = new Object[columns];
                for(int i=0; i< columns; i++) {
                    if(i == 0)
                        oa[i] = (rs.getString(i+1));
                    else
                        oa[i] = new Integer(rs.getInt(i+1));
                }
                data.add(oa);
            }
            System.out.println("Columns = " + columns);
        } catch(java.sql.SQLException sqle) {
            System.out.println("SQL Exception found : " + sqle.getLocalizedMessage());
            sqle.printStackTrace();
        }
        
    }
    
    public int getColumnCount() {
        // return 2;
        return columns;
    }
    
    public int getRowCount() {
        //return 2;
        return data.size();
    }
    
    public Object getValueAt(int rowIndex, int columnIndex) {
        //return "1";
        return ((Object[])data.get(rowIndex/* + 1*/))[columnIndex];
    }
    
    //    public String getColumnName(int ci) {
    //        //return "2";
    //        return (String)(((Object[])data.get(0))[ci]);
    //    }
    
    /*public boolean isCellEditable(int rowIndex, int columnIndex) {
        return true;
    }*/
    
}